package userrepository

import (
	userdomain "legalgo-BE-go/internal/domain/user"
)

func (ur *UserRepository) CreateUser(spec userdomain.User) error {
	if err := ur.DB.Create(&spec).Error; err != nil {
		return err
	}

	return nil
}
